package ru.ispras.retrascope.model.basis;

import ru.ispras.fortress.expression.Node;

import java.util.Map;

/**
 * @author <a href="mailto:smolov@ispras.ru">Sergey Smolov</a>
 */
public interface Instantiated {

  /**
   * Applies bindings to module's internal processes and sub-modules.
   *
   * @param bindings Pairs of variable names and expressions.
   */
  void apply(final Map<String, Node> bindings);
}
